summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author LukenShiro2011-12-14 19:56:06 +0100
committer Niels Horn2011-12-18 03:07:48 +0100
commit96fbe16da0964b96edf345c26bd095f7171c7b0b (patch)
tree55cf9a63ac3c5f93a1ff3740d7d4348aef595b9f /perl
parent4a2261b0a1aed49ef1de58498f92df725eb04d4a (diff)
downloadslackbuilds-96fbe16da0964b96edf345c26bd095f7171c7b0b.tar.gz
perl/perl-encode-locale: Added (Determine the locale encoding)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-encode-locale/README21
-rw-r--r--perl/perl-encode-locale/perl-encode-locale.SlackBuild91
-rw-r--r--perl/perl-encode-locale/perl-encode-locale.info10
-rw-r--r--perl/perl-encode-locale/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/perl/perl-encode-locale/README b/perl/perl-encode-locale/README
new file mode 100644
index 0000000000..586df94791
--- /dev/null
+++ b/perl/perl-encode-locale/README
@@ -0,0 +1,21 @@
+Perl module to determine the locale encoding.
+
+In many applications it's wise to let Perl use Unicode for the strings
+it processes. Most of the interfaces Perl has to the outside world is
+still byte based. Programs therefore needs to decode byte strings that
+enter the program from the outside and encode them again on the way out.
+The POSIX locale system is used to specify both the language conventions
+requested by the user and the preferred character set to consume and
+output. The Encode::Locale module looks up the charset and encoding
+(called a CODESET in the locale jargon) and arrange for the Encode module
+to know this encoding under the name "locale". It means bytes obtained
+from the environment can be converted to Unicode strings by calling
+Encode::encode(locale => $bytes) and converted back again with
+Encode::decode(locale => $string).
+Where file systems interfaces pass file names in and out of the program
+we also need care. The trend is for operating systems to use a fixed file
+encoding that don't actually depend on the locale; and this module
+determines the most appropriate encoding for file names. The Encode
+module will know this encoding under the name "locale_fs". For
+traditional Unix systems this will be an alias to the same encoding
+as "locale".
diff --git a/perl/perl-encode-locale/perl-encode-locale.SlackBuild b/perl/perl-encode-locale/perl-encode-locale.SlackBuild
new file mode 100644
index 0000000000..b78ebe0f7d
--- /dev/null
+++ b/perl/perl-encode-locale/perl-encode-locale.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for perl-encode-locale
+
+# Copyright 2011 LukenShiro, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-encode-locale
+VERSION=${VERSION:-1.02}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=Encode-Locale
+DOCFILES="Changes README"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo "y" | CFLAGS="$SLKCFLAGS" perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+# Remove perllocal.pod and other special files that don't need to be installed
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-encode-locale/perl-encode-locale.info b/perl/perl-encode-locale/perl-encode-locale.info
new file mode 100644
index 0000000000..9c66fc427c
--- /dev/null
+++ b/perl/perl-encode-locale/perl-encode-locale.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-encode-locale"
+VERSION="1.02"
+HOMEPAGE="http://search.cpan.org/dist/Encode-Locale/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Encode-Locale-1.02.tar.gz"
+MD5SUM="96a950ee9b57e47e2b990b4c5dd7bf6e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="rworkman"
diff --git a/perl/perl-encode-locale/slack-desc b/perl/perl-encode-locale/slack-desc
new file mode 100644
index 0000000000..cccdfa2281
--- /dev/null
+++ b/perl/perl-encode-locale/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+perl-encode-locale: perl-encode-locale (Determine the locale encoding)
+perl-encode-locale:
+perl-encode-locale: It is a perl module used to determine the local encoding.
+perl-encode-locale:
+perl-encode-locale: Homepage: http://search.cpan.org/dist/Encode-Locale/
+perl-encode-locale:
+perl-encode-locale:
+perl-encode-locale:
+perl-encode-locale:
+perl-encode-locale:
+perl-encode-locale: